liborlite-migrate-perl_1.10-1_all.deb


Advertisement

Description

liborlite-migrate-perl - Perl helper module for SQLite-to-ORLite schema migration

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: liborlite-migrate-perl
Package version: 1.10
Package release: 1
Package architecture: all
Package type: deb
Installed size: 80 B
Download size: 22.02 KB
Official Mirror: ftp.br.debian.org
ORLite::Migrate is a light weight Database Schema Migration enhancement for ORLite. It provides a simple implementation of schema versioning within the SQLite database using the built-in user_version pragma (which is set to zero by default).

Alternatives

    Download

    Source package: liborlite-migrate-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install liborlite-migrate-perl deb package:
      # sudo apt-get install liborlite-migrate-perl

    Files

    • /usr/share/doc/liborlite-migrate-perl/changelog.Debian.gz
    • /usr/share/doc/liborlite-migrate-perl/changelog.gz
    • /usr/share/doc/liborlite-migrate-perl/copyright
    • /usr/share/man/man3/ORLite::Migrate.3pm.gz
    • /usr/share/man/man3/ORLite::Migrate::Timeline.3pm.gz
    • /usr/share/perl5/ORLite/Migrate.pm
    • /usr/share/perl5/ORLite/Migrate/Patch.pm
    • /usr/share/perl5/ORLite/Migrate/Timeline.pm

    Changelog

    2012-02-07 - gregor herrmann <gregoa@debian.org> liborlite-migrate-perl (1.10-1) unstable; urgency=low * New upstream release. * Update copyright years.

    2011-10-25 - gregor herrmann <gregoa@debian.org> liborlite-migrate-perl (1.09-1) unstable; urgency=low * New upstream release. * Remove spelling.patch, applied upstream.

    2011-10-15 - gregor herrmann <gregoa@debian.org> liborlite-migrate-perl (1.08-1) unstable; urgency=low [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * debian/copyright: Replace DEP5 Format-Specification URL from svn.debian.org to anonscm.debian.org URL. [ gregor herrmann ] * New upstream release. * debian/copyright: update years of upstream, third-party, and packaging copyright, refresh license stanzas. * Set Standards-Version to 3.9.2 (no changes). * Bump debhelper compatibility level to 8. * Add a patch to fix a spelling mistake.

    2010-03-28 - Franck Joncourt <franck@debian.org> liborlite-migrate-perl (1.07-1) unstable; urgency=low * New upstream release: + Author tests are moved to the brand new xt directory: - Removed BDI on libtest-minimumversion-perl, libtest-pod-perl, libpod-simple-perl, libtest-cpan-meta-perl - Removed override target in d.rules which set AUTOMATED_TESTING. - Lowered BD on debhelper from (>= 7.0.50) to (>= 7). * Bumped up Standards-Version to 3.8.4 (no changes). * Added /me to Uploaders. (Refreshed both d.copyright and d.control) * Refreshed d.copyright to mention the latest DEP5 revision. * Switch to dpkg-source 3.0 (quilt) format.

    2010-01-11 - Jonathan Yu <jawnsy@cpan.org> liborlite-migrate-perl (1.06-1) unstable; urgency=low * New upstream release * Update copyright information to new DEP5 format * Add copyright info for stuff copied from Padre * Pod::Simple 3.07 is core as of Perl 5.10.1 * Update years of copyright * Now requires File::Which 1.07

    2009-09-27 - Jonathan Yu <jawnsy@cpan.org> liborlite-migrate-perl (1.05-1) unstable; urgency=low [ Jonathan Yu ] * New upstream release * Standards-Version 3.8.3 (no changes) * Added myself to Uploaders and Copyright * Drop version dependencies where made unnecessary * Rewrote control description * Update copyright information * Update to new short debhelper rules format [ Nathan Handler ] * debian/watch: Update to ignore development releases. [ Salvatore Bonaccorso ] * debian/control: Changed: Replace versioned (build-)dependency on perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as permitted by Debian Policy 3.8.3).

    2009-05-12 - Damyan Ivanov <dmn@debian.org> liborlite-migrate-perl (0.03-2) unstable; urgency=high * bump dependency on libparas-util-perl to 0.37 Closes: 528279 -- ORLite::Migrate depends on Params::Util >= 0.37

    2009-04-25 - gregor herrmann <gregoa@debian.org> liborlite-migrate-perl (0.03-1) unstable; urgency=low [ Brian Cassidy ] * New upstream release * debian/control: + added myself to Uploaders + updated deps * debian/copyright: + updated copyright years [ gregor herrmann ] * New upstream release. * Bump versioned dependency on libdbd-sqlite3-perl, add libfile-spec-perl to (build) dependencies. * Add /me to Uploaders. * Don't install README anymore (text version of the POD). * Set Standards-Version to 3.8.1 (no changes).

    2009-01-12 - Damyan Ivanov <dmn@debian.org> liborlite-migrate-perl (0.01-1) unstable; urgency=low * Initial Release. (Closes: #511437)

    Advertisement
    Advertisement